package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.Pending_customerRepository;
import com.realnet.vpspack.Entity.Pending_customer
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;














	import org.springframework.stereotype.Service;

@Service
 public class Pending_customerService {
@Autowired
private Pending_customerRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;













public Pending_customer Savedata(Pending_customer data) {














	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Pending_customer save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Pending_customer> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Pending_customer> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Pending_customer> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Pending_customer getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Pending_customer update(Pending_customer data,Integer id) {
	Pending_customer old = Repository.findById(id).get();
old.setFull_name(data.getFull_name());

old.setApplication_code(data.getApplication_code());

old.setNationality(data.getNationality());

old.setPassport_number(data.getPassport_number());

old.setFilter_btn(data.getFilter_btn());

old.setReset_btn(data.getReset_btn());

old.setPending_customer_child(data.getPending_customer_child());

final Pending_customer test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 














 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
